package com.jpsoft.picc.modules.base.dao;

import java.util.List;

import com.jpsoft.picc.modules.base.entity.InsuranceDefinitionLimit;
import org.springframework.stereotype.Repository;
import com.jpsoft.picc.modules.base.entity.Jobs;
import java.util.Map;
import com.jpsoft.picc.modules.common.dto.Sort;

@Repository
public interface JobsDAO {
	int insert(Jobs entity);
	int update(Jobs entity);
	int exist(String id);
	Jobs get(String id);
	int delete(String id);
	List<Jobs> list();
	List<Jobs> search(Map<String, Object> searchParams, List<Sort> sortList);
}