package com.jpsoft.picc.modules.base.service;

import java.util.List;
import java.util.Map;
import com.jpsoft.picc.modules.base.entity.Message;
import com.github.pagehelper.Page;
import com.jpsoft.picc.modules.common.dto.Sort;

public interface MessageService {
	Message get(String id);
	boolean exist(String id);
	int insert(Message model);
	int update(Message model);
	int delete(String id);
	List<Message> list();
	List<Message> findByRecipientId(String recipientId);
	Page<Message> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, List<Sort> sortList);
}