package com.jpsoft.picc.test;

import com.jpsoft.picc.modules.business.entity.InsuranceApplication;
import com.jpsoft.picc.modules.business.service.InsuranceApplicationService;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import java.util.Date;
import java.util.UUID;

@RunWith(SpringRunner.class)
@SpringBootTest
public class InsuranceApplicationTest {
    @Autowired
    private InsuranceApplicationService insuranceApplicationService;

    @Test
    public void testInsert(){
        InsuranceApplication model = new InsuranceApplication();

        model.setId(UUID.randomUUID().toString());
        model.setCreateBy("2142006");
        model.setCreateTime(new Date());

        insuranceApplicationService.insert(model);
    }
}
