package com.jpsoft.picc.modules.business.dao;

import com.jpsoft.picc.modules.business.entity.InsurancePolicyMember;
import com.jpsoft.picc.modules.common.dto.Sort;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Repository
public interface InsurancePolicyMemberDAO {
    int insert(InsurancePolicyMember entity);

    int update(InsurancePolicyMember entity);

    int exist(String id);

    InsurancePolicyMember get(String id);

    int delete(String id);

    List<InsurancePolicyMember> list();

    List<InsurancePolicyMember> search(Map<String, Object> searchParams, List<Sort> sortList);

    long countByPolicyIdAndJobsId(String policyId, String jobsId);

    List<InsurancePolicyMember> findByPolicyId(String policyId);
}