package com.jpsoft.picc.modules.business.service;

import com.github.pagehelper.Page;
import com.jpsoft.picc.modules.business.entity.InsurancePolicy;
import com.jpsoft.picc.modules.common.dto.Sort;

import java.util.List;
import java.util.Map;

public interface InsurancePolicyService {
    InsurancePolicy get(String id);

    boolean exist(String id);

    int insert(InsurancePolicy model);

    int update(InsurancePolicy model);

    int delete(String id);

    List<InsurancePolicy> list();

    Page<InsurancePolicy> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, List<Sort> sortList);

    boolean existByApplicationIdAndEffectiveDate(String applicationId, String effectiveDate);

    Page<InsurancePolicy> nextMonthPageList(Map<String, Object> searchParams, int pageIndex, int pageSize, List<Sort> sortList);
}