package com.jpsoft.picc.modules.common.constant;

/**
 * 投保单状态
 */
public enum PolicyStatus {
    Draft("草稿",10),
    Back("已退回",15),
    PendingTrial("待初审",20),
    PendingRetrial("待复审",30),
    PendingPay("待缴费",40),
    PendingMakePolicy("待制单",50),
    PendingOutPolicy("待出单",60),
    SendOutPolicy("已出单",70),
    Expired("已过期",100);

    private int value;
    private String text;

    PolicyStatus(String text, int value){
        this.text = text;
        this.value = value;
    }

    public int getValue() {
        return value;
    }

    public void setValue(int value) {
        this.value = value;
    }

    public String getText() {
        return text;
    }

    public void setText(String text) {
        this.text = text;
    }}
